# Class AuthenticationPluginLoader

java.lang.Object
org.mariadb.jdbc.authentication.AuthenticationPluginLoader

public class AuthenticationPluginLoader extends Object

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationPluginLoader()`

## Method Summary

Modifier and Type
Method
Description
`static AuthenticationPlugin`
`get(String type)`
Get authentication plugin from type String.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationPluginLoader

public AuthenticationPluginLoader()

## Method Details

### get

public static AuthenticationPlugin get(String type) throws SQLException
Get authentication plugin from type String. Customs authentication plugin can be added implementing AuthenticationPlugin and registering new type in resources services.

Parameters:
  `type` - authentication plugin type
Returns:
  Authentication plugin corresponding to type
Throws:
  `SQLException` - if no authentication plugin in classpath have indicated type